## org.codehaus.groovy.tools.shell
Class CommandRegistry

Field Summary
`List` | `commands`
`Logger` | `log`
`Set` | `names`

Constructor Summary
`CommandRegistry()`

Method Summary
`List` | `commands()`
`Command` | `find(String name)`
`def` | `getProperty(String name)`
`Iterator` | `iterator()`
`def` | `leftShift(Command command)`
`Command` | `register(Command command)` A list of all of the registered commands.
`void` | `remove(Command command)`

Constructor Detail

### CommandRegistry

    CommandRegistry()

Method Detail

### commands

    List commands()

### find

    Command find(String name)

### getProperty

    public def getProperty(String name)

### iterator

    Iterator iterator()

### leftShift

    public def leftShift(Command command)

### register

    Command register(Command command)

  A list of all of the registered commands.

### remove

    void remove(Command command)